	.section .note.GNU-stack
/* variables */
	.data
	.globl	i
	.align	8
	.type	i, @object
	.size	i, 8
i:
	.quad	0x0

/* function */
	.text
	.globl	main
	.type	main, @function
main:
	push	%rbp
	mov	%rsp, %rbp
	push	%rbx
	push	%rsi
	push	%rdi
	sub	$0x0, %rsp
	mov	$0x0, %rax
	mov	%rax, i(%rip)
LOOP:
	mov	i(%rip), %rax
	mov	$0xa, %rdx
	cmp	%rdx, %rax
	jge	LOOPEND
	mov	$.LC0, %rax
	mov	%rax, %rdi
	mov	i(%rip), %rax
	mov	%rax, %rsi
	push	%rbx
	mov	%rsp, %rbx
	and	$0xfffffffffffffff0, %rsp
	call	printf
	mov	%rbx, %rsp
	pop	%rbx
	mov	%rax, %rbx
	mov	i(%rip), %rax
	mov	$0x1, %rdx
	add	%rdx, %rax
	mov	%rax, i(%rip)
	jmp	LOOP
LOOPEND:
	mov	$0x0, %rax
	mov	-0x8(%rbp), %rbx
	mov	-0x10(%rbp), %rsi
	mov	-0x18(%rbp), %rdi
	leave
	ret

	.data
.LC0:	.string	"%d\n"
